<?php
/*
* Plugin Name: listio Custom Post
* Description: Creates shortcodes, register custom taxonomies and post types
* Version: 1.0
* Author: wpbd
* Author URI: http://wpbd.net
*/

define('PLUGIN_PATH', plugin_dir_url( __FILE__ ));
define('PLUGIN_BASENAME', plugin_basename(__FILE__));

add_action( 'plugins_loaded', 'listio_load_textdomain' );
function listio_load_textdomain() {
    load_plugin_textdomain( 'listio', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );
}



/**
 *****************************************************************************
 * Custom post types
 *****************************************************************************
 */
require_once 'admin/settings.php';
require_once 'libs/custom_post_types/property.php';
require_once 'libs/custom_post_types/agent.php';
require_once 'libs/custom_post_types/membership.php';
require_once 'libs/custom_post_types/invoice.php';
require_once 'libs/custom_post_types/testimonial.php';
foreach ( array('post.php','post-new.php') as $hook ) {
    add_action( "admin_head-$hook", 'listio_admin_head' );
}

/**
 * Localize Script
 */
function listio_admin_head() {
    $admin_url = get_admin_url();
    ?>
    <!-- TinyMCE Shortcode Plugin -->
    <script type='text/javascript'>
    var my_plugin = {
        'admin_url': '<?php echo $admin_url; ?>',
    };
    </script>
    <!-- TinyMCE Shortcode Plugin -->
    <?php
}

if( !function_exists('listio_get_cts') ): 
    function listio_get_cts() {
        $cat_taxonomies = array( 
            'property_category'
        );
        $cat_args = array(
            'orderby'           => 'name', 
            'order'             => 'ASC',
            'hide_empty'        => false
        ); 
        $cat_terms = get_terms($cat_taxonomies, $cat_args);
        $type_taxonomies = array( 
            'property_type_category'
        );
        $type_args = array(
            'orderby'           => 'name', 
            'order'             => 'ASC',
            'hide_empty'        => false
        ); 
        $type_terms = get_terms($type_taxonomies, $type_args);

        echo json_encode(array('getcts'=>true, 'categories'=>$cat_terms, 'types'=>$type_terms));
        exit();

        die();
    }
endif;
add_action( 'wp_ajax_nopriv_listio_get_cts', 'listio_get_cts' );
add_action( 'wp_ajax_listio_get_cts', 'listio_get_cts' );
?>